<?php


namespace Shop\Application\Shopping\SendNotifyAboutState;


use Shop\Domain\CustomerOrder\Contracts\CustomerOrderEntityInterface;

class SendNotifyAboutStateCommand
{
    protected $order;

    public function __construct(CustomerOrderEntityInterface $order)
    {
        $this->order = $order;
    }

    /**
     * @return CustomerOrderEntityInterface
     */
    public function getOrder(): CustomerOrderEntityInterface
    {
        return $this->order;
    }

}